commit:     f287621d20c5c0a9d4996346a08f72048197e09d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Mar  8 06:33:39 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Mar  8 08:24:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f287621d

dev-python/pytest-shutil: Revbump to drop py2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../pytest-shutil/pytest-shutil-1.7.0-r1.ebuild    | 52 ++++++++++++++++++++++
 1 file changed, 52 insertions(+)

diff --git a/dev-python/pytest-shutil/pytest-shutil-1.7.0-r1.ebuild 
b/dev-python/pytest-shutil/pytest-shutil-1.7.0-r1.ebuild
new file mode 100644
index 00000000000..bcb73147fa9
--- /dev/null
+++ b/dev-python/pytest-shutil/pytest-shutil-1.7.0-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A goodie-bag of unix shell and environment tools for py.test"
+HOMEPAGE="https://github.com/man-group/pytest-plugins 
https://pypi.org/project/pytest-shutil/";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~mips ~s390 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-python/pytest[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/contextlib2[${PYTHON_USEDEP}]
+       dev-python/execnet[${PYTHON_USEDEP}]
+       dev-python/path-py[${PYTHON_USEDEP}]
+       dev-python/mock[${PYTHON_USEDEP}]
+       dev-python/termcolor[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       ${RDEPEND}
+"
+
+python_prepare_all() {
+       # keeps trying to install this in tests
+       sed -i 's:path.py::' setup.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # at this point let's not fix python2 stuff
+       if ! python_is_python3; then
+               ewarn "Tests broken on python2, not runninge tests for 
${EPYTHON}"
+               return 0
+       fi
+
+       distutils_install_for_testing
+
+       esetup.py test || die "Tests failed under ${EPYTHON}"
+}

Reply via email to